POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "4ab3f242-fdd8-4c8b-a695-73587aa91cfd",
"batch_id": "477fe80a-053e-40e9-a053-35f181df4f69",
"medistream_id": "2ee2bd34-5309-4f2c-ac1b-b6514026e066",
"witness_id": "7216e24f-d330-4829-8ed3-695effb22d57",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-03-10T09:13:06.4703401+00:00",
"stop_time": "2026-03-10T09:13:06.4703401+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>477fe80a-053e-40e9-a053-35f181df4f69</batch_id> <compartment>1</compartment> <id>4ab3f242-fdd8-4c8b-a695-73587aa91cfd</id> <medistream_id>2ee2bd34-5309-4f2c-ac1b-b6514026e066</medistream_id> <start_time>2026-03-10T09:13:06.4703401+00:00</start_time> <stop_time>2026-03-10T09:13:06.4703401+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>7216e24f-d330-4829-8ed3-695effb22d57</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"89442e1a-7a69-4c12-9fcc-d98fbc9e7953"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">89442e1a-7a69-4c12-9fcc-d98fbc9e7953</guid>